
#include "npc.h"
#include "player.h"
#include "stdincl.h"

#ifndef WORLD_H
#define WORLD_H


class World {

 public:
  World ();
  ~World ();

  /* for easier use: map the first two player here */
  Player *player1;
  Player *player2;

  /* a list of all players */
  struct playerList {
    playerList* nextPlayer;
    Player* player;
    int playerNr;
  };
  playerList* lastPlayer;

  /* a list of all non-player-characters */
  struct npcList {
    npcList* nextNPC;
    NPC* npc;
  };
  npcList* firstNPC;

  bool addPlayer(Player* player);
  bool removePlayer(Player* player);

  bool addNPC(NPC* npc);
  bool removeNPC(NPC* npc);




};

#endif
